import { MatLegacyDialogRef as MatDialogRef } from "@angular/material/legacy-dialog";
import { FormComponent } from "@smallstack/form-core-components";
import { NotificationService } from "@smallstack/i18n-components";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { UserService } from "@smallstack/user-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { ProjectTodoConfigurationService } from "../../../services/project-todo-configuration.service";
import { MyTodoStore } from "../../../stores/my-todo.store";
import { MyWorklogStore } from "../../../stores/my-worklog.store";
import * as i0 from "@angular/core";
export declare class CreateSimpleTodoWidgetComponent extends BaseWidgetComponent {
    private userService;
    private myTodoStore;
    private myWorklogStore;
    private notificationService;
    private matDialogRef;
    private todoConfigurationService;
    protected formComponent: FormComponent;
    protected value: {
        title: string;
        description: string;
        startTime?: number;
        endTime?: number;
        facilityId: string;
        useTimer: boolean;
    };
    protected schema: SmallstackTypeSchema;
    constructor(userService: UserService, myTodoStore: MyTodoStore, myWorklogStore: MyWorklogStore, notificationService: NotificationService, matDialogRef: MatDialogRef<CreateSimpleTodoWidgetComponent>, todoConfigurationService: ProjectTodoConfigurationService);
    protected saveEntities(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateSimpleTodoWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateSimpleTodoWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
