import { OnInit } from "@angular/core";
import { SchedulingRuleDto, SchedulingRuleDtoPatternEnum } from "@smallstack/axios-api-client";
import { SchemaFormBaseWidget } from "@smallstack/form-core-components";
import * as i0 from "@angular/core";
export declare class SchedulingRuleInputComponent extends SchemaFormBaseWidget implements OnInit {
    protected SchedulingRulePattern: SchedulingRuleDtoPatternEnum[];
    protected startTime: string;
    protected endTime: string;
    protected schedulingRule: SchedulingRuleDto;
    protected nextDates: number[];
    ngOnInit(): void;
    setDate(propName: "startTime" | "endTime", date: string): void;
    sendData(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulingRuleInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchedulingRuleInputComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
